Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 154481

Summary: battstat-applet eats cpu when i have second battery in laptop
Product: [Fedora] Fedora Reporter: Jeff Pearson <rh>
Component: gnome-appletsAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact: Mike McLean <mikem>
Severity: medium Docs Contact:
Priority: medium    
Version: 4CC: davidz
Target Milestone: ---   
Target Release: ---   
Hardware: i386   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-11-27 04:08:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Jeff Pearson 2005-04-12 04:41:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Firefox/1.0.2 Fedora/1.0.2-3

Description of problem:
When I have just the main battery, everything's fine.  But when the second battery is in the machine too, the battstat-applet eats CPU and must be killed.

Version-Release number of selected component (if applicable):
gnome-applets-2.10.1-1

How reproducible:
Always

Steps to Reproduce:
1. Have laptop with two batteries
2. Try to add the battstat-applet to the gnome panel
3. Watch CPU usage skyrocket and battstat-applet fail to work
  

Expected Results:  battstat-applet should give useful information, or at least die gracefully

Additional info:

acpid-1.0.4-1
kernel-2.6.11-1.1234_FC4

Gateway 450rog laptop (centrino), up to date BIOS, XFCE battery monitor works fine.

Comment 1 David Zeuthen 2005-04-18 15:49:22 UTC
This looks like a duplicate of bug 154482. I'm curious whether the XFCE battery
monitor shows status for both batteries though?

Comment 2 Matthias Clasen 2006-11-27 04:08:04 UTC
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component